Last Comment Bug 633038 - test to check if branch is in array is incorrect
: test to check if branch is in array is incorrect
Status: VERIFIED FIXED
:
Product: Webtools Graveyard
Classification: Graveyard
Component: Graph Server (show other bugs)
: 2.0
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Robert Helmer [:rhelmer]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-09 16:56 PST by Robert Helmer [:rhelmer]
Modified: 2016-06-21 13:37 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Robert Helmer [:rhelmer] 2011-02-09 16:56:27 PST
Per KaiRo on the webdev blog:

"If I go for custom graphs and try to get something for SeaMonkey, it shows me all those things that we never report as selections, but not those we do, like MaxHeap, malloc leaks, codesize, etc."

I do see a bunch of tests on the production graphserver:

http://graphs.mozilla.org/#tests=[[31,19,583],[27,19,584],[28,19,584],[29,19,584],[30,19,584],[31,19,587],[31,19,999]]

Since graphs-stage2 is using a clone of the prod DB, these should be available for graphs-stage2 as well. 

Additionally, we should look into why unavailable tests are showing up (Ts, Txul, etc.)
Comment 1 Robert Helmer [:rhelmer] 2011-02-09 17:37:35 PST
Fixed and pushed to staging the primary issue:
https://github.com/rhelmer/graphs/commit/7c20bb6f6e1c641473220d5595d052eea5bb0cdb

Changed summary to reflect the real situation.

Noticed a different bug while testing - operating systems are not constrained per-test properly. Not quite as bad as this one; it allows one to attempt to display tests that aren't there, rather than hiding tests that are. Filed bug 633052 to follow up on that.
Comment 2 Robert Kaiser 2011-02-10 04:28:58 PST
Thanks a lot, verified that it works on graphs-stage2 now! :)
Comment 3 Robert Kaiser 2011-02-10 04:33:57 PST
Actually, I found one more issue with showing SeaMonkey grphs - I can't find the OS X 10.6 platform, so I can't display a graph like this one: http://graphs.mozilla.org/graph.html#tests=[[31,18,997]]

Should that get yet another bug?
Comment 4 Robert Helmer [:rhelmer] 2011-02-10 13:46:55 PST
(In reply to comment #3)
> Actually, I found one more issue with showing SeaMonkey grphs - I can't find
> the OS X 10.6 platform, so I can't display a graph like this one:
> http://graphs.mozilla.org/graph.html#tests=[[31,18,997]]
> 
> Should that get yet another bug?

Hmm I do see that now... it takes a while after the nightly DB import for the list of valid combinations to be built, so it could be due to this (this happens around midnight Pacific time).

If you can still repro this, I think it should be a new bug. Thanks!
Comment 5 Robert Helmer [:rhelmer] 2011-02-10 13:47:50 PST
(In reply to comment #4)
> Hmm I do see that now... it takes a while after the nightly DB import for the
> list of valid combinations to be built, so it could be due to this (this
> happens around midnight Pacific time).

By "I do see that now", I mean that I see Seamonkey->Codesighs->"OSX 10.6", not that I see the problem :)
Comment 6 Robert Kaiser 2011-02-10 13:50:47 PST
(In reply to comment #4)
> If you can still repro this, I think it should be a new bug. Thanks!

No, seems to work now, I just might have looked at a bad time.

Note You need to log in before you can comment on or make changes to this bug.